Debian Bug report logs - #188176
Please remove quickppp

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Tue, 8 Apr 2003 11:48:10 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#188176; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: quickppp -- PPP configuration tool
Date: Tue, 8 Apr 2003 21:39:20 +1000
Package: wnpp
Severity: normal

The current maintainer of quickppp, Muhammad Hussain Yusuf
<yusuf@debian.org>, is apparently not active anymore.  Therefore, I
orphan this package now.  If you want to be the new maintainer, please
take it -- see http://www.debian.org/devel/wnpp/index.html#howto-o for
detailed instructions how to adopt a package properly.

Some information about this package:

Package: quickppp
Binary: quickppp
Version: 1.2.1-3
Priority: optional
Section: utils
Maintainer: Muhammad Hussain Yusuf <yusuf@debian.org>
Build-Depends: debhelper (>= 3)
Architecture: any
Standards-Version: 3.5.6
Format: 1.0
Directory: pool/main/q/quickppp
Files: 36f778792a4b2b583647c53cf615a65c 567 quickppp_1.2.1-3.dsc
 3746cd26b846520ad0b0bdbc02584797 3104 quickppp_1.2.1.orig.tar.gz
 63f7a94ac36c8460a0d43b20516324c3 2727 quickppp_1.2.1-3.diff.gz

Package: quickppp
Priority: optional
Section: utils
Installed-Size: 72
Maintainer: Muhammad Hussain Yusuf <yusuf@debian.org>
Architecture: i386
Version: 1.2.1-3
Depends: libc6 (>= 2.2.4-4)
Recommends: ppp
Filename: pool/main/q/quickppp/quickppp_1.2.1-3_i386.deb
Size: 8362
MD5sum: 0c902f9c75d60b48405c52d9bbeeafd5
Description: PPP configuration tool
 QuickPPP is a simple utility that sets up a PPP connection to your ISP
 using pppd.  It uses PAP/CHAP authentication, so it will work with
 pretty much any ISP that works in Windows 9x Dial Up Networking.  It
 has been tried with a few ISPs and has worked great.

Justification: He moved and his email started to bounce.

-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#188176; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Clément Stenac <zorglub@via.ecp.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #10 received at 188176@bugs.debian.org (full text, mbox):

From: Clément Stenac <zorglub@via.ecp.fr>
To: 188176@bugs.debian.org
Subject: Taking over the package
Date: Wed, 1 Oct 2003 22:47:16 +0200
retitle ITA: quickppp -- PPP configuration tool
stop

-- 
Zorglub
Clément Stenac



Changed Bug title. Request was from Clément Stenac <zorglub@via.ecp.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Clément Stenac <zorglub@via.ecp.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#188176; Package wnpp. Full text and rfc822 format available.

Message #17 received at 188176@bugs.debian.org (full text, mbox):

From: neroden@twcny.rr.com (Nathanael Nerode)
To: debian-qa@lists.debian.org
Subject: Removing quickppp
Date: Sat, 7 Feb 2004 15:20:00 -0500
>From http://lists.debian.org/debian-devel/2004/debian-devel-200402/msg00252.html:
>Hello,
>
>quickppp is a very simple ppp configuration tool. 
>
>It is currently orphaned. It is not maintained upstream anymore (the
>author told me that the only place where it could still be found was
>Debian) and currently has a security related bug.
>
>Moreover, it is completely exceeded by pppconfig, both for ease of use
>and features. Quality of this software is also a problem (Joe Namias
>pointed out several serious flaws in its code)
>
>Actually, the only advantage I see to this software is that it does not
>need libncurses.
>
>I once intended to take over this package, but after discussions, it
>appears that the best solution would probably to remove this package
>from the archive and advise the users to use pppconfig.
>
>Thanks for your comments,
>
>-- 
>Zorglub
>Clément Stenac

Can we get QA consensus here and file a removal bug against ftp.debian.org?

-- 
Nathanael Nerode  <neroden at gcc.gnu.org>
US citizens: if you're considering voting for Bush, look at these first:
http://www.misleader.org/  http://www.cbc.ca/news/background/arar/
http://www.house.gov/reform/min/politicsandscience/


-- 
To UNSUBSCRIBE, email to debian-qa-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#188176; Package wnpp. Full text and rfc822 format available.

Message #20 received at 188176@bugs.debian.org (full text, mbox):

From: Laurent Fousse <laurent@komite.net>
To: debian-qa@lists.debian.org
Subject: Re: Removing quickppp
Date: Sun, 8 Feb 2004 14:16:23 +0100
[Message part 1 (text/plain, inline)]
Hi,

Le Sat, Feb 07, 2004 at 03:20:00PM -0500, Nathanael Nerode écrivait:
[...]
> >Moreover, it is completely exceeded by pppconfig, both for ease of use
> >and features. Quality of this software is also a problem (Joe Namias
> >pointed out several serious flaws in its code)
> >
> >Actually, the only advantage I see to this software is that it does not
> >need libncurses.
> >
> >I once intended to take over this package, but after discussions, it
> >appears that the best solution would probably to remove this package
> >from the archive and advise the users to use pppconfig.
> >
> >Thanks for your comments,
> >
> >-- 
> >Zorglub
> >Clément Stenac
> 
> Can we get QA consensus here and file a removal bug against ftp.debian.org?

I had a look at the code, tried pppconfig, and agree indeed with the
removal of quickppp.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#188176; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #25 received at 188176@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 188176@bugs.debian.org, control@bugs.debian.org
Cc: debian-qa@lists.debian.org
Subject: Re: Removing quickppp
Date: Mon, 9 Feb 2004 16:15:52 +0000
reassign 188176 ftp.debian.org
retitle 188176 Please remove quickppp
thanks

* Laurent Fousse <laurent@komite.net> [2004-02-08 14:16]:
> > >I once intended to take over this package, but after discussions, it
> > >appears that the best solution would probably to remove this package
> > >from the archive and advise the users to use pppconfig.
> > >
> > >Clément Stenac
> > 
> > Can we get QA consensus here and file a removal bug against ftp.debian.org?
> 
> I had a look at the code, tried pppconfig, and agree indeed with the
> removal of quickppp.

RoQA; orphaned, dead upstream, security bug and low code quality, and
pppconfig is better anyway.

-- 
Martin Michlmayr
tbm@cyrius.com



Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #34 received at 188176-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 188176-close@bugs.debian.org
Subject: Bug#188176: fixed
Date: Wed, 25 Feb 2004 14:05:51 -0500
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

  quickppp |    1.2.1-4 | source, alpha, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 188176@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
James Troup (the ftpmaster behind the curtain)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:12:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.